Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Isolation Enumeration
See Also Send Feedback

Specify the degree of isolation for transactional operations

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public enum Isolation

Visual Basic (Declaration)
    Public Enumeration Isolation

Visual C++
    public enum class Isolation

# Members

| Member name | Description
--- | --- | ---
| DEGREE_ONE | Read operations on the database may request the return of modified but not yet committed data.
| DEGREE_TWO | Provide for cursor stability but not repeatable reads. Data items which have been previously read by a transaction may be deleted or modified by other transactions before the original transaction completes.
| DEGREE_THREE | For the life of the transaction, every time a thread of control reads a data item, it is unchanged from its previous value (assuming, of course, the thread of control does not itself modify the item). This is Berkeley DB's default degree of isolation.

# See Also

BerkeleyDB Namespace